SOLVED How do I install PHP Version 5.6 on cPanel?

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,909
2,222
463
Hello @ImperialTrader,

PHP version 5.6 was removed from the default EasyApache 4 profiles because it reached end-of-life status (PHP no longer publishes security updates for version 5.6). I recommend updating any PHP scripts that lack compatibility with newer PHP versions at your earliest convenience.

If you plan to upgrade your scripts to work with a supported PHP version but need to use PHP 5.6 temporarily, execute the following command as root to install PHP version 5.6:

Code:
yum install ea-php56
When you're ready to remove it, execute the following command as root:

Code:
yum remove ea-php56
Thank you.
 
  • Like
Reactions: ImperialTrader

ImperialTrader

Well-Known Member
Aug 31, 2014
174
20
68
Egypt
cPanel Access Level
Root Administrator
Hello @ImperialTrader,

PHP version 5.6 was removed from the default EasyApache 4 profiles because it reached end-of-life status (PHP no longer publishes security updates for version 5.6). I recommend updating any PHP scripts that lack compatibility with newer PHP versions at your earliest convenience.

If you plan to upgrade your scripts to work with a supported PHP version but need to use PHP 5.6 temporarily, execute the following command as root to install PHP version 5.6:

Code:
yum install ea-php56
When you're ready to remove it, execute the following command as root:

Code:
yum remove ea-php56
Thank you.
Perfect, thank you.
 
  • Like
Reactions: cPanelMichael